> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a File

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Retrieves a File and its metadata, including a temporary `download_url` to
its contents.

A new `download_url` is generated on every retrieve and expires at
`download_expires_at`. URLs are valid for 60 minutes (3600 seconds) by
default. If a URL expires, retrieve the File again to receive a fresh one.

<Tip>
  To stream the File's contents directly instead of using a temporary URL,
  use [Download a File](/2026-03-30/reference/files/download).
</Tip>

## Path Parameters

<ParamList
  items={[
{
name: 'file_id',
type: 'string',
required: true,
description: 'The ID of the File.',
},
]}
/>

## Returns

Returns a File object.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/files/file_jZWkPMhXPeYAn \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "file_jZWkPMhXPeYAn",
    "type": "raw_credit_report",
    "mime_type": "application/json",
    "download_url": "https://s3.us-west-2.amazonaws.com/files.dev.methodfi.tldn/artifacts/team_aBcD1234/connect/ent_qKNBB68bfHGNA/cxn_4ewMmBbjYDMR4/raw_credit_report.json?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Expires=3600&X-Amz-Signature=...",
    "download_expires_at": "2024-04-12T15:56:46.645Z",
    "created_at": "2024-04-12T14:56:46.645Z",
    "updated_at": "2024-04-12T14:56:46.645Z"
  }
  ```
</ResponseExample>
